Installation of cloudfare on ubuntu

I am trying to install Cloudflare-wrap on Ubuntu 22.04.4 LTS x86_64.
I followed the steps present on website but when i did “sudo apt update && sudo apt install Cloudflare-wrap” the following error I got.

Please tell me how to resolve this.